{
  onStart(pokemon) {
    if (pokemon.baseSpecies.baseSpecies !== 'Darmanitan' || pokemon.transformed) return;

    if (!pokemon.species.name.includes('Galar')) {
      if (pokemon.species.id !== 'darmanitanzen') {
        pokemon.formeChange('Darmanitan-Zen', this.effect, false, '[silent]');
      }
    } else {
      if (pokemon.species.id !== 'darmanitangalarzen') {
        pokemon.formeChange('Darmanitan-Galar-Zen', this.effect, false, '[silent]');
      }
    }
  },

  onEnd(pokemon) {
    if (pokemon.transformed || !pokemon.species.battleOnly) return;

    pokemon.formeChange(pokemon.species.battleOnly, this.effect, false, '[silent]');
  },

  flags: {failroleplay: 1, noreceiver: 1, noentrain: 1, notrace: 1, failskillswap: 1, cantsuppress: 1},
  name: "Zen Mode",
  rating: 0,
  num: 161,

}
